<template>
  <v-form @submit="onSubmit" :validation-schema="schema">
    <div class="
      v-login
      w-[400px]
      space-y-[13px]
      bg-[#FFFDFDCC]
      rounded-[30px]
      p-10
      pt-10
      relative
      border 
      border-primary
    ">
      <div class="flex justify-center">
        <div class="
          border
          w-[257px]
          rounded-[20px]
          border-primary
          font-mm
          py-[15px]
          text-center
          text-primary
          absolute
          top-[-30px]
          bg-[#FFFFFF]
        ">
          <span class="text-[20px]">Log in to AP System</span>
        </div>
      </div>
      <div class="text-center text-primary">
        <p class="font-mc">
          {{ slogan }}
        </p>
      </div>
      <div class="relative mb-6">
        <div class="
          flex
          absolute
          inset-y-0
          left-0
          items-center
          pl-3
          text-primary
          pointer-events-none
        ">
          <fa-icon icon="fa-solid fa-user-alt" />
        </div>
        <v-field type="text" class="
          bg-[#FFFDFDCC]
          border border-gray-300
          text-gray-900 text-sm
          rounded-lg
          focus:ring-blue-500 focus:border-blue-500
          block
          w-full
          pl-10
          p-2.5
        " placeholder="Username" name="username" />
      </div>
      <ErrorMessage class="text-xs text-red-500" name="username" />
      <div class="relative mb-6">
        <div class="
          text-primary
          flex
          absolute
          inset-y-0
          left-0
          items-center
          pl-3
          pointer-events-none
        ">
          <fa-icon icon="fa-solid fa-lock" />
        </div>
        <v-field type="password" class="
          bg-[#FFFDFDCC]
          border border-gray-300
          text-gray-900 text-sm
          rounded-lg
          focus:ring-blue-500 focus:border-blue-500
          block
          w-full
          pl-10
          p-2.5
        " placeholder="Password" name="password" />
      </div>
      <ErrorMessage class="text-xs text-red-500" name="password" />
      <div class="flex justify-between">
        <div class="flex items-center mb-4">
          <input type="checkbox" value="" class="
            w-4
            h-4
            text-blue-600
            bg-gray-100
            rounded
            border-gray-300
            focus:ring-blue-500
            dark:focus:ring-blue-600 dark:ring-offset-gray-800
            focus:ring-2
          " />
          <label for="default-checkbox" class="ml-2 text-sm font-medium text-gray-900 dark:text-gray-300">Remember
            me</label>
        </div>

        <div class="text-right">
          <p>Forgot Password?</p>
        </div>
      </div>

      <div class="flex justify-center">
        <button class="
          text-white
          bg-primary
          hover:bg-primary-80
          focus:ring-4 focus:ring-blue-300
          font-medium
          rounded-lg
          text-sm
          px-5
          py-2.5
          mr-2
          mb-2
          w-full
        ">
          Login
        </button>
      </div>

      <div class="flex justify-center text-[13px]">
        <h3 class="font-mn">
          {{ copyright }}
        </h3>
      </div>
    </div>
  </v-form>
</template>

<script>
import { Form, Field, ErrorMessage } from 'vee-validate';
import * as yup from 'yup';

export default {
  name: "v-login",
  components: {
    VForm: Form,
    VField: Field,
    ErrorMessage
  },
  data() {
    return {
      copyright: "រក្សាសិទ្ធដោយ LHVMPP @២០២២",
      slogan: "លំនៅឋាននៃសុភមង្គល",

    }
  },
  computed: {
    schema() {
      return yup.object({
        username: yup.string().required(),
        password: yup.string().required().min(6),
      });
    },
  },
  methods: {
    onSubmit(values) {
      this.$emit('onSummit', values);
    }
  }
};
</script>